Subject: [Tsvwg] Re: tsvwg digest, Vol 1 #456 - 11 msgs

From: venkat venkatsubra <[email-masked]>
Date: Fri, 28 Dec 2001 13:03:44 -0600

With TCP (from rfc793),  you send back an ACK ,
drop the segment and return. You neither accept
the ACK nor send a RST.  Can this also be
one of the choices of the implementation ?
If we ABORT then can't this be used as a
denial-of-service attack to abort associations ?
Ofcourse with SCTP you have the verification tag
to protect you from such random packets. Unlike TCP.

Venkat

> Message: 1
> Date: Thu, 27 Dec 2001 13:10:37 -0600
> From: Randall Stewart <[email-masked]>
> To: "V.N.Sriram Chintalapati" <[email-masked]>
> CC: [email-masked]
> Subject: Re: [Tsvwg] SACK acknowledging unsent data
>
> Sriram:
>
> No, I think this is a very good question and the right place
> to ask it.
>
> my stab at answers below...
>
> "V.N.Sriram Chintalapati" wrote:
> >
> > Hi,
> >
> > I have a doubt.
> > what should be the behavior of SCTP stack if it
> > receives a SACK acknowledging unsent DATA?
> > a) Should it send an ABORT as SACK is acknowledging
> > DATA which is never sent, indicating that there is
> > something wrong with this association.
> > b) Should it accept acknowledgement for whatever
> > portion of DATA that is sent already.
> >
>
> I think we left this to be a implementation choice. I would imagine
> that either option one can do but I would lean towards (a) if
> it is possible to do in your implementation. This is because if
> you receive a SACK on data you never sent there is a good chance
> that an intruder has penetrated the stack and sent in something that
> YOU did not send... either that or your peer is hopelessly confused.
> Aborting would be, I think, the wiser thing to do..
>
> Regards
>
> R

_______________________________________________
tsvwg mailing list
[email-masked]
http://www1.ietf.org/mailman/listinfo/tsvwg